```text
tcm-cloud.*.zip 为前端压缩包
pre_api_5.1.jar 为后端jar包
pre_api_v5.*.sql 为数据库升级脚本
config/application.properties 为后端配置文件
application.properties中的数据库用户名密码加密方式：请求"http://118.31.103.138:83/pre_ai/noAuth/encrypt?val=你的用户名"，把返回值填入spring.datasource.primary.username，密码同理
```

### 5.12.6
`date:2022.01.24`

*该版本需更新对应知识库接口项目*

#### 需求
- 1414 中医知识库-增加我的收藏入口
- 1415 中医知识库-增加“经方查询”模块	
- 1416 中医知识库详情页收藏后返回，收藏状态显示优化	
- 1417 增加处方状态：药房审核通过、药房审核未通过	
- 1418 临床业务监管平台-增加“处方分析(新都)”
- 1419 临床业务监管平台-处方金额分析，增加导出报表	
- 1420 临床业务监管平台-中药处方选择统计-增加列表展示及报表导出
- 1421 智能开方-推导出“扩充”的诊断，红色提醒，限制是否强制保存
  ```text
  新增参数：
  参数名称：诊断范围验证（扩充诊断）
  参数代码：DIAGNOSIS_RANGE_VERIFY
  参数说明：扩充诊断（95标准 或 95修订之外）是否强制限制保存
      0：表示无限制（默认）
      1：表示限制
  ```
- 1422 增加参数分类管理及参数编号
- 1423 导出报表名称优化
- 1424 舌诊、脉诊收藏功能优化
- 1427 配方颗粒开方时无需判断明细库存
  
#### 修复BUG
- 开方页药品库存（真实库存-预扣库存）可能出现负数
- 安吉第二次挂号开方，修改上次的处方，参数“未缴费处方去修改使用的挂号ID”配置为new，保存的处方对应挂号错误问题


### 5.12.5
`date:2022.01.04`
- KFXT-880 华润德信行大药房项目蓝色调主题
- KFXT-881 成都医保接入国家医保平台改造-中药门特改造 （该功能已合并到5.12.4）
- KFXT-882 电子病历打印优化
  ```text
  修改参数：
  参数名称：病历打印按钮是否显示
  参数代码：PRINT_RECORD_SHOW
  参数说明：1显示 0不显示（按钮位置：第一位： 中医电子病历；第二位： 今日病人/我的历史病历/病历管理-查看订单；）示例：1,0
  
  新增参数：
  参数名称：中医电子病历打印模板参数控制
  参数代码：REC_PDF_TEMPLATE
  参数说明：1.A4模板 2.A5模板
  ```
- KFXT-883 配送增加备用手机号码
  ```text
  增加参数
  参数名称：配送是否启用备用号码
  参数代码：DC_MOBILE_BAK   
  参数说明：参数第一位为备用号码的数量，默认为0不开启，第二位为备用号码的必填数量。示例：2,1，可添加2个备用号码，一个为必填
  ```
- KFXT-885 三终端禁止重复登陆
  ```text
  新增配置项：login.one
  启用单点登录：login.one=true
  禁用单点登录：login.one=false
  ```
- KFXT-886 支持多医联体使用同一个药品目录【安吉】
- KFXT-901 药房管理配置公用代码明细
- KFXT-904 医共体管理禁用按钮逻辑修改
- KFXT-930 打印模板文件外置
  ```text
  打印模板默认使用jar包中的模板文件，如需调整打印模板，在pre_api_5.1文件夹下新增文件夹templates/，添加对应模板文件：
  内服/外用处方模板（单页）：prescriptionTemplate.pdf
  内服/外用处方模板（双页）：prescriptionTemplate2.pdf
  中药制剂处方模板：preparationTemplate.pdf
  病历模板（A4）：recordTemplateA4.pdf
  病历模板（A5）：recordTemplateA5.pdf
  ```

#### 5.12.4.1
`date:2021.12.28`
- 登陆密码使用非对称加密
- KFXT-909 版本更新说明增加更新类型
- KFXT-910 临床业务监管-医共体处方分析：增加导出功能
- KFXT-911 临床业务监管-中药处方分析-中药处方覆盖率：增加图片导出功能
- KFXT-912 调整业务管理-业务管理-查看订单的二级页面显示
- KFXT-913 专家经验共享模块优化
- KFXT-914 换处方后方解未显示优化
- KFXT-915 中医电子病历-检查附件优化
- KFXT-928 增加膏方贴数参数控制
  ```text
  新增参数：
  参数名称：膏方控制开方贴数
  参数代码：PRESCRIPTION_INTERNAL_PRODUCTION_CONTROL_NUM
  参数说明：参数值为膏方最高贴数，0不限制，勾选膏方后提示：“是否改为膏方？膏方一张处方最多开*贴”，贴数自动调整并不可修改
  ```

### 5.12.4
`date:2021.12.24`
>- KFXT-773 新都前置审方对接
>- KFXT-829 中医知识库增加中成药的查询
>- KFXT-830 知识库维护后台——临床诊疗录入
>- KFXT-832 中医知识库增加“临床诊疗指南”
>- KFXT-834 中医知识库增加舌诊和脉诊
>- KFXT-838 执业机构展示医疗机构代码
>- KFXT-839 中药查询——点击“更多”交互方式更改
>- KFXT-875 内服中药方：膏方不受药位数及处方最高价格限制
>- KFXT-879 库存数量不足优化提醒
>- KFXT-905 新都门特治疗周期限制
```text
【新增参数】
参数名称：第三方审核者
参数代码：PRESCRIPTION_CHECK_AUDITOR
参数说明：self: 云系统审核（默认）；medicom: 美康


【新增参数】
参数名称：特病：选择日期时间范围禁用配置
参数代码：PRESCRIPTION_SPECIAL_DISEASE_RANGE_PICKER_DISABLED_OPTIONS
参数说明：（已当前时间为基准）强制包含|开始时间禁用,结束时间禁用,开始时间偏离量,结束时间偏离量
示例1：当前日期 2021年12月13日 17:29:30
1. -14D,3M,0,-14D 可选范围：2021-11-29 00:00:00 ~ 2022-02-28 23:59:59
2. -14D:s,3M:h,0,-14D 可选范围：2021-11-29- 17:29:30 ~ 2022-02-28 17:59:59
3. -14D:D,3M:m 可选范围：2021-11-29 00:00:00 ~ 2022-03-13 17:29:59
示例2：当前日期 2021年12月14日 17:29:30 星期二
1. T 本月（12-01 ~ 12-31）本周（12-13 ~ 12-19）
2. F 本月（12-14 ~ 12-31）本周（12-14 ~ 12-19）

【修改参数】
1、内服中药方最高药味数：PRESCRIPTION_INTERNAL_HIGHEST_MATS
参数说明：通用药味数|膏方药味数（0为无限制）；
示例：5|4；
2、内服中草药方处方金额限制最高价格：PRESCRIPTION_INTERNAL_HIGHEST_MONEY
参数说明：通用处方金额|膏方处方金额（0为无限制）；
示例：20|15；
3、内服中草药单帖最高限价金额：PRESCRIPTION_INTERNAL_MAXIMUM_AMOUNT
参数说明：通用单帖金额:T|膏方单帖金额:T（0为无限制，:T是否限制可以继续开方）
示例：20:T|30:T

```


### 5.12.3-rc3
`date: 2021.12.28`
>- 修复BUG：药品目录导入报错
>>>>>>> release/5.12.3

### 5.12.3-rc2
`date: 2021.12.17`
>- 解决高危漏洞：Apache Log4j2远程代码执行漏洞 
```text
注意：application.properties中数据库URL需删掉 log4jdbc:
```

### 5.12.3
`date:2021.10.25`
>- 海盐迭代 包含5.12.2.3, 5.12.2.4, 5.12.2.5

>- 修订 `date:2021.11.4`
>>- 我的患者条件查询BUG
>>- 历史处方查看患者性别BUG
>>- 配方推送增加药房ID和药品类型（对接药房系统）
>>- 传承疾病证型区分95标准95修订（对接传承系统）

### 5.12.2.5
`date:2021.10.25`
>- KFXT-666：转方操作-转病证治及西医诊断 
>- KFXT-804：中药搜索结果排序优化
>- KFXT-183：增加配方付费方式
>- KFXT-803：中药查询 -详情页 排版/文案优化
>- KFXT-805：经络穴位查询 -页面优化 
>- KFXT-811：疾病查询 -详情页 增加【出处】字段
>- KFXT-812：名医验案 -详情页 增加字段
```text
新增参数：
1、转方操作-转病证配置：PRESCRIPTION_TRANSFER_ILLNESS_OPTIONS
    0cc00：【就诊记录】和【历史处方】转方转病证  
    c000c：【未缴费处方】和【专家经验共享】转方转病证
```

### 5.12.2.4
`date:2021.10.11`
`该版本知识库系统有更新`
>- KFXT-164 处方笺双签名，并将双签名的药传给his/药房
>- KFXT-715 医保患者是否自费处方的判断和自动勾选
>- KFXT-716 显示患者住院/门诊号
>- KFXT-717 要开无糖膏方
>- KFXT-777 同一药品不同规格的药可以开在一个处方中，但是必须让医生双签名
>- KFXT-779 单贴金额超出最高限价时，增加提醒功能
```text
参数：
1、医保限制提醒弹框内容
    1日最大剂量、2医保外药品、3基金不支付
2、是否弹框双签提醒
    1是0否
3、安全用药特殊签字配置
    1禁用药、2忌用药、3慎用药、4十八反、5十九畏、6不宜同用、7孕妇忌用、8孕妇慎用、9使用注意、10剂量超标、11毒、12病症禁忌、13饮食禁忌、14禁孕、15超规定用药量、16剂量偏低、20多规格同时开
4、开方界面是否显示膏方类型
    1显示（默认） 0不显示
5、处方同种草药判定规则
    [0或1且][知识库ID][药房药品代码][HIS药品代码][上级药品代码][HIS规格ID]
    示例：
    	0101：默认值等同下值
    	010100：知识库ID 或 HIS药品代码 相等
        100011：上级药品代码 且 HIS规格ID 全等
6、内服中草药单帖最高限价金额
    0不限制
7、外用中草药单帖最高限价金额
    0不限制
```
前端增加无糖疾病配置文件：/database/sugar-free.json
```json
{
  "describe": "疾病与膏方无糖关系数据",
  "date": 1633750538184,
  "version": 1,
  "data": [
    {
      "describe": "无糖选项",
      "option": "pt-0",
      "disease": [
        {
          "id": "zyjb12170",
          "name": "消渴病"
        },
        "zyjb12170"
      ],
      "ICD": []
    },
    {
      "describe": "不限糖选项",
      "option": "pt-1",
      "disease": [],
      "ICD": []
    },
    {
      "option": "pt-0",
      "type": "disease",
      "id": "zyjb12170",
      "name": "消渴病"
    }
  ]
}
```

### 5.12.2.3
`date: 2021.9.30`
>- KFXT-182 中药配方
>- KFXT-644 设置处方审核医生上下班时间
>- KFXT-699 增加“互联网在线就诊患者“信息
>- KFXT-700 处方审核状态和通过条件
>- KFXT-701 处方审核列表展示形式修改、增加查询条件
>- KFXT-702 处方审核新消息提醒
>- KFXT-705 预扣库存
>- KFXT-719 专家经验共享维护时，证型不必填
>- KFXT-728 数据迁移
```text
配置文件 config/application.properties更新了以下内容：
新增药房路径配置：
address.cbkj.core.port = http://ip:85/
删除以下配置：
address.cbkj.core.pushCFYZ、
address.cbkj.core.getYinPianDZ、
address.cbkj.core.drugSynchronization
address.cbkj.zb.url
```
```text
参数：
1、开方时搜索处方：
    类型和排序及默认选中；协定方：self|dept|ins，配方：formula，方剂：know（以|分隔，:T 表示选中）
2、开方时搜索处方：
    类型和排序；协定方：self|dept|ins，配方：formula，方剂：know（以|分隔）
3、搜索(协定方|方剂|配方)处方默认类型：
    方剂(默认值): know ; 配方: formula ; 个人协定方: self ; 科室协定方: dept ; 全院协定方: ins
4、配方自动审核通过：
    1开启0关闭 默认开启
5、审核工作时间：
    星期与时间段用中文冒号：分割，多个时间段用|分割，多个星期用中文分号；分隔。
    不在审方时间段将自动审核通过，处方标记为‘下班自动通过’。
    默认空，不支持下班自动审核
    如：8:00-11:00|14:00-17:00；（每天8点到11点和14点到17点）
    如：星期一：8:00-11:00；星期三：8:00-10:00|14:00-16:00；（星期一8:00-11:00、星期三8:00-10:00和14:00-16:00）
6、系统审核人名称：
    当系统审核通过后，处方审核人为该值
7、是否可以系统审核
   0：全部时间段不可以系统审核；   
   1：全部时间段可以系统审核；   
   2：审方工作时间内不可以系统审核，审方工作时间外可以系统审核；   
   3：审方工作时间内不可以系统审核，审方工作时间外不系统审核；   
   4：审方工作时间内可以系统审核，审方工作时间外不系统审核
```

### 5.12.2.2_1
`date: 2021.9.28`
`桐庐揭榜挂帅`
>- KFXT-698 处方笺增加二维码，患者扫描这个二维码查看自己的处方溯源信息
>- KFXT-770 区分配送到医院还是其他地址
```text
增加参数：打印处方笺是否显示二维码
```

### 5.12.2.2
`date: 2021.8.23`

>- KFXT-645 传承系统的专病在云系统使用
>- KFXT-658 治法可选
>- KFXT-659 增加参数：维护贴数的默认值
```
参数名称：内服中草药方默认贴数值
参数代码：PRESCRIPTION_INTERNAL_DEFAULT_NUMBER
参数说明：正整数值，0或缺省时不默认

参数名称：外用中草药方默认贴数值
参数代码：PRESCRIPTION_EXTERNAL_DEFAULT_NUMBER
参数说明：正整数值，0或缺省时不默认
```
>- KFXT-660 his的传过来的建档信息里的手机号码大于11位，接口直接取其前11位。
>- KFXT-661 将药品剂量的提醒放在下方
>- KFXT-665 协定方修改权限调整为：允许修改、不允许修改、仅允许加药
>- KFXT-747 使用协定方时，药不全的提醒文字调整

## 5.12.2
`date: 2021.8.20`

**同时更新知识库疾病数据、知识库接口**

>- KFXT-212 知识库区分男性、女性疾病
>- KFXT-577 医共体业务分析和国考指标分析
>- KFXT-600 育龄期外的人不提示妊娠禁忌
>- KFXT-652 配送地址默认患者地址还是医院地址由参数控制
```
参数名称：配送地址默认(寄送)类型
参数代码：PRESCRIPTION_CONSIGNEE_DEFAULT_TYPE
参数说明：开方时勾选配送默认地址填充并切换；1寄到医院；2寄到患者家里

默认值（缺省）：
2

示例：
1（填充值：医院地址，按钮：寄到患者家里）
2（填充值：患者地址，按钮：寄到医院）
```

## 5.12.1.2
`date: 2021.9.2`

>- KFXT-741 增加双签确认---安吉
```text
参数修改：医保支付条件限制的对象（INSURANCE_LIMIT_OBJECT）的参数值增加一项：3）限制所有人。
参数修改：安全用药特殊签字配置（SAFETY_EVALUATION_SIGN）：增加 超规定用药量(15) 签名
增加参数：超剂量提醒文字设置：弹框标题/弹框按钮/开药提醒。默认值：医保限制报销|强制保存|超医保规定用药量。
```
```text
安吉：
   1、参数1配置成：3
   2、参数2配置成：双签确认|双签保存|超药典规定用药量
   3、参数3配置成：15
   4、药品明细中设置需要的最大剂量值
```

## 5.12.1
`date: 2021.7.15`

**更新后清除“公用代码“缓存。**
**更新后验证协定方使用权限是否正常，验证药房配置是否正常，搜索药品是否混开。**

>- 支持中药制剂模板打印
>- KFXT-296 解决参数管理查询麻烦配置麻烦的问题
>- KFXT-543 增加医嘱时间选择
>- KFXT-548 版本通知
>- KFXT-576 用户表拆分成用户信息表和执业范围权限表
>- KFXT-648 圣美孚演示
>- KFXT-649 开方与新药房对接，使用新接口系统
>- KFXT-650 打开开方系统速度优化

## 5.12.0
`date: 2021.7.1`

>- KFXT-549 安吉临时-协定方增加配方的勾选

# 5.11

### 5.11.1.2
`date: 2021.6.23`

>- 5.9.2的修订版本v5.11.1.2  用户更换科室时协定方BUG

## 5.11.1
`date: 2021.6.28`

>-  KFXT-532 与国医大师-浊瘀痹对接中药制剂推导
>-  KFXT-536 增加系统管理-日志查询
>-  KFXT-542 体质辨识报告word转pdf传给接口方

# 5.10

**更新后验证协定方使用权限异常时，需执行pre_api_v5.9_2.sql**